package fr.username404.snowygui.utils

import net.minecraft.client.Minecraft
import fr.username404.snowygui.gui.feature.Colors
import net.minecraft.client.gui.GuiGraphics

object FontUtil {
    fun drawScaled(guiGraphics: GuiGraphics, text: String, x: Double, y: Double, scaleFactor: Float, color: Colors = Colors.BLACK) {
        val stack = guiGraphics.pose()
        stack.scale(scaleFactor, scaleFactor, scaleFactor)
        guiGraphics.drawString(Minecraft.getInstance().font, text, (x / scaleFactor).toInt(), (y / scaleFactor).toInt(), color.hexValue, false)
        val factorToOriginal = 1F / scaleFactor
        stack.scale(factorToOriginal, factorToOriginal, factorToOriginal)
    }
}
